Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.server
Class UnicastRemoteObject

    java.lang.Object
      |
      +--weblogic.rmi.server.RemoteObject
            |
            +--weblogic.rmi.server.RemoteServer
                  |
                  +--weblogic.rmi.server.UnicastRemoteObject

public class UnicastRemoteObject
extends RemoteServer
implements java.lang.Cloneable

This class is provided strictly for compatibility with java.rmi.*

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`protected` | `UnicastRemoteObject()`

Method Summary
`java.lang.Object` | `clone()`
`static Remote` | `exportObject(java.lang.Object o)`

Methods inherited from class weblogic.rmi.server.RemoteServer
`getClientHost, getLog, setLog, unexportObject`

Methods inherited from class weblogic.rmi.server.RemoteObject
`toStub`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnicastRemoteObject

    protected UnicastRemoteObject()

Method Detail

### exportObject

    public static Remote exportObject(java.lang.Object o)
                               throws RemoteException

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    java.lang.CloneNotSupportedException - if there is an error
  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD